package mapper

import (
	"web-qudo-be/app/database/entity"
	res "web-qudo-be/app/module/popup_news_content_images/response"
)

func PopupNewsContentImagesResponseMapper(imageReq *entity.PopupNewsContentImages) (imageRes *res.PopupNewsContentImagesResponse) {
	if imageReq != nil {
		imageRes = &res.PopupNewsContentImagesResponse{
			ID:                 imageReq.ID,
			PopupNewsContentID: imageReq.PopupNewsContentID,
			MediaPath:          imageReq.MediaPath,
			MediaURL:           imageReq.MediaURL,
			IsThumbnail:        imageReq.IsThumbnail,
		}
	}
	return imageRes
}